import { jsx } from "react/jsx-runtime";
import { TokenHBOT as TokenHBOT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHBOT = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "HBOT", "data-name": "TokenHBOT", ...props, children: /* @__PURE__ */ jsx(TokenHBOT$1, { variant }) });
  }
);
TokenHBOT.displayName = "TokenHBOT";
Object.assign(TokenHBOT, { isGdsIcon: true });
export {
  TokenHBOT
};
